/* extended for V1.2!! */


#ifndef GRAPHICS_GFXBASE_H
#include <graphics/gfxbase.h>
#endif

#ifndef INTUITION_INTUITIONBASE_H
#include <intuition/intuitionbase.h>
#endif

#define GIOF_LOADER8		1
#define GIOF_LOADER24	2
#define GIOF_SAVER8		4
#define GIOF_SAVER24		8
#define GIOF_LOADFILE	16
#define GIOF_SAVEFILE	32
#define GIOF_PLANAR		64				// data is loaded in planar format
#define GIOF_NOID			128			// not able to identify file 
												// (skip in universial loader search)
#define GIOF_NOFILEOPEN	256			// do file access internally
												// (giodata->Data and 
												// giodata->Filehandle are not set up)
#define GIOF_CONTIGUOUS 512			// ** PRIVATE USE ONLY!! **
#define GIOF_LOADNOPROGRESS 1024
#define GIOF_SAVENOPROGRESS 2048
#define GIOF_EXTENDED 4096				// extended features available 
#define GIOF_SAVEPREFS 8192				// has prefs for loading
#define GIOF_LOADPREFS 16384				// has prefs for saving
struct GIOData
{
	struct	GIOData *Next;
	struct	GIOData *Prev;
	char		*Filename;
	UBYTE		Data[64];
	BPTR		Filehandle;
	ULONG		Width;
	ULONG		Height;
	ULONG		Depth;
	ULONG		P_width;
	ULONG		P_height;
	ULONG		P_top;
	ULONG		P_left;
	ULONG		VP_mode;
	UWORD		Aspect_x;
	UWORD		Aspect_y;
	struct 	BitMap *Bitmap;
	UBYTE		**SrcLinetable;
	UBYTE		**DestLinetable;
	UBYTE		*Palette;
	ULONG		Flags;
	ULONG		Headerlength;
	ULONG		Error;
	ULONG		UserData;
	ULONG		UserData2;
	ULONG		UserData3;
	struct 	Library *PgsBase;
	ULONG		SkipBytes;
	struct 	Library *DOSBase;
	struct	GfxBase *GfxBase;
	struct	IntuitionBase *IntuitionBase;
	struct	Library *UtilityBase;
	struct	Library *GadtoolsBase;
	struct	Library *AslBase;
	struct	Library *ColorwheelBase;
	ULONG		extendedid;
	struct	Screen  *PgsScreen;
	UBYTE		**SecondLinetable;
	UBYTE		**AlphaLinetable;
	UBYTE		**PaintLinetable;
	UWORD		WindX;
	UWORD		WindY;
	UWORD		WindWidth;
	UWORD		WindHeight;
	UWORD		DestWidth;
	UWORD		DestHeight;
	UWORD		SecondWidth;
	UWORD		SecondHeight;
	UWORD		AlphaWidth;
	UWORD		AlphaHeight;
	UWORD		DestDepth;
	UWORD		SecondDepth;
	UWORD		AlphaDepth;
	UBYTE		*DestPalette;
	UBYTE		*SecondPalette;
	UBYTE		*AlphaPalette;

};

#define LOAD_OK			 0
#define LOAD_RAMERR		 1
#define LOAD_FILEERR		 2
#define LOAD_WRONGTYPE	 3
#define LOAD_SYSERR		 4
#define LOAD_ABORTED		 5
#define LOAD_UNAVAILABLE 6

#define	PCLONG	ULONG
#define	PCWORD	UWORD

#define PGTAG_LISTMIN 0x81910050
#define PGTAG_LISTMAX 0x81910060
#define PGTAG_ENTRY 0x81900a0
#define PGTAG_ENTRYID 0x81900b0
#define PGTAG_ENTRYTEXT 0x81900c0
#define PGTAG_ENTRYEND 0x81900e0
#define PGTAG_END 0x8191ffff
